Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.icons
Class OWLIcons

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.icons.OWLIcons

    public class OWLIcons

extends Object

A singleton that provides access to the OWL specific icons.

Author:
  Holger Knublauch

Nested Class Summary
`static class` | `OWLIcons.DefaultReadOnlyFilter`
`static class` | `OWLIcons.InheritedColorfulFilter` Removes all pixels unless they are black.
`static class` | `OWLIcons.MulticoloredReadOnlyFilter`

Field Summary
`static String` | `ACCEPT`
`static String` | `ADD_OVERLAY`
`static String` | `ADD_PROPERTY_TO_CLASS_FORM`
`static String` | `ANNOTATION`
`static String` | `ANNOTATION_PROPERTY`
`static String` | `ANNOTATIONS`
`static String` | `ANNOTATIONS_TABLE`
`static String` | `ANONYMOUS_OWL_CLASS`
`static String` | `ASSERT_FALSE`
`static String` | `ASSERT_TRUE`
`static String` | `CHECK_CONSISTENCY`
`static String` | `CLASS_FRAME`
`static String` | `CLASS_MATRIX`
`static String` | `CLASSIFY`
`static String` | `CLASSIFY_INDIVIDUAL`
`static String` | `CLOSURE_CLOSED`
`static String` | `CLOSURE_OPEN`
`static String` | `CREATE_IMPORTED_TRIPLESTORE`
`static String` | `CREATE_OVERLAY`
`static String` | `DATATYPE_TRIPLE`
`static String` | `DEFINED_OWL_CLASS`
`static String` | `DELETE`
`static String` | `DELETE_OVERLAY`
`static String` | `ERROR`
`static String` | `FILE`
`static String` | `FIND_ASSERTS`
`static String` | `GET_INFERRED_SUBCLASSES`
`static String` | `GET_INFERRED_SUPERCLASSES`
`static String` | `HELP_LOGO`
`static String` | `IMPORT`
`static String` | `LAYOUT_HORIZONTALLY`
`static String` | `LAYOUT_VERTICALLY`
`static String` | `OWL_ALL_VALUES_FROM`
`static String` | `OWL_ANNOTATION_PROPERTY_FRAME`
`static String` | `OWL_CARDINALITY`
`static String` | `OWL_COMPLEMENT_CLASS`
`static String` | `OWL_DATATYPE_ANNOTATION_PROPERTY`
`static String` | `OWL_DATATYPE_PROPERTY`
`static String` | `OWL_DATATYPE_PROPERTY_INHERITED`
`static String` | `OWL_DISJOINT_CLASSES`
`static String` | `OWL_ENUMERATED_CLASS`
`static String` | `OWL_EQUIVALENT_CLASS`
`static String` | `OWL_HAS_VALUE`
`static String` | `OWL_INTERSECTION_CLASS`
`static String` | `OWL_MAX_CARDINALITY`
`static String` | `OWL_MIN_CARDINALITY`
`static String` | `OWL_OBJECT_ANNOTATION_PROPERTY`
`static String` | `OWL_OBJECT_PROPERTY`
`static String` | `OWL_OBJECT_PROPERTY_INHERITED`
`static String` | `OWL_RESTRICTION`
`static String` | `OWL_SOME_VALUES_FROM`
`static String` | `OWL_UNION_CLASS`
`static String` | `PREFIX`
`static String` | `PRIMITIVE_OWL_CLASS`
`static String` | `PROPERTY_FRAME`
`static String` | `PROPERTY_MATRIX`
`static String` | `RDF_ANON_INDIVIDUAL`
`static String` | `RDF_DATATYPE`
`static String` | `RDF_INDIVIDUAL`
`static String` | `RDF_INDIVIDUAL_FRAME`
`static String` | `RDF_INDIVIDUALS`
`static String` | `RDF_PROPERTY`
`static String` | `RDF_PROPERTY_INHERITED`
`static String` | `RDFS_METACLASS`
`static String` | `RDFS_NAMED_CLASS`
`static String` | `RDFS_RANGE`
`static String` | `RDFS_SUBCLASS_OF`
`static String` | `REFRESH`
`static String` | `REMOVE_OVERLAY`
`static String` | `SAVE_INFERRED`
`static String` | `SELECT_ACTIVE_TRIPLESTORE`
`static String` | `SELECT_FILE`
`static String` | `SHOW_EXPLORER`
`static String` | `SIBLING_CLASS`
`static String` | `SOURCE_CODE`
`static String` | `SPARQL`
`static String` | `SPARQL_RESULTS_PANEL`
`static String` | `style`
`static String` | `STYLE_DEFAULT`
`static String` | `STYLE_MULTICOLORED`
`static String` | `STYLE_VARIABLE`
`static String` | `SUB_CLASS`
`static String` | `SUPERCLASS_EXPLORER`
`static String` | `TEST`
`static String` | `TEST_SETTINGS`
`static String` | `TODO`
`static String` | `TOP`
`static String` | `TRIPLE`
`static String` | `TRIPLES`
`static String` | `VIEW`
`static String` | `VIEW_OVERLAY`
`static String` | `XSD_DATATYPE`
`static String` | `XSD_MAX_EXCLUSIVE`
`static String` | `XSD_MAX_INCLUSIVE`
`static String` | `XSD_MIN_EXCLUSIVE`
`static String` | `XSD_MIN_INCLUSIVE`

Constructor Summary
`OWLIcons()`

Method Summary
`static Icon` | `getAddIcon()`
`static Icon` | `getAddIcon(String baseIconName)`
`static Icon` | `getAddIcon(String baseIconName, Class baseClass)`
`static Icon` | `getAllRestrictionIcon()`
`static ImageIcon` | `getArchiveProjectIcon()`
`static Icon` | `getAssertChangeIcon()`
`static Icon` | `getBackspaceIcon()`
`static Icon` | `getCheckConsistencyIcon()`
`static Icon` | `getClassesIcon()`
`static Icon` | `getClassifyIcon()`
`static Icon` | `getClassifyIndividualIcon()`
`static Icon` | `getCloseIcon()`
`static Icon` | `getComputeIndividualsBelongingToClassIcon()`
`static Icon` | `getComputeSingleInferredTypesIcon()`
`static Icon` | `getCopyIcon()`
`static Icon` | `getCreateIcon(String baseIconName)`
`static Icon` | `getCreateIcon(String baseIconName, Class clazz)`
`static Icon` | `getCreateIcon(String baseIconName, int topY)`
`static Icon` | `getCreateIcon(String baseIconName, int topY, Class clazz)`
`static Icon` | `getCreateIndividualIcon(String baseIconName)`
`static Icon` | `getCreatePropertyIcon(String baseIconName)`
`static Icon` | `getCutIcon()`
`static Icon` | `getDefaultReadOnlyIcon(ImageIcon icon, String frameIconName, int ar, int ag, int ab)`
`static Icon` | `getDefinedClsIcon()` Deprecated. please access constant directly
`static Icon` | `getDeleteClsIcon()`
`static Icon` | `getDeleteIcon()`
`static Icon` | `getDeleteIcon(String iconName)`
`static Icon` | `getDeleteIcon(String iconName, Class clazz)`
`static Icon` | `getDeprecatedIcon()`
`static Icon` | `getDisplayChangedClassesIcon()`
`static ImageIcon` | `getDownIcon()`
`static Icon` | `getEditHTMLIcon()`
`static Icon` | `getEquivalentClassIcon()`
`static ImageIcon` | `getExternalResourceIcon()`
`static Icon` | `getFindUsageIcon()`
`static ImageIcon` | `getImageIcon(String name)`
`static ImageIcon` | `getImageIcon(String name, Class clazz)`
`static URL` | `getImageURL(Class clazz, String baseIconName)`
`static Icon` | `getInheritedClsIcon(ImageIcon icon)`
`static Icon` | `getInheritedIcon(ImageIcon icon, String frameIconName)`
`static Icon` | `getInheritedPropertyIcon(ImageIcon icon)`
`static ImageIcon` | `getMetaclassIcon()`
`static Icon` | `getNavigateBackIcon()`
`static Icon` | `getNavigateForwardIcon()`
`static Icon` | `getNerdErrorIcon()`
`static Icon` | `getNerdSmilingIcon()`
`static Icon` | `getOpenProjectIcon()`
`static Icon` | `getOWLFullIcon()`
`static Icon` | `getOWLIcon()`
`static Icon` | `getOWLTestErrorIcon()`
`static Icon` | `getOWLTestWarningIcon()`
`static Icon` | `getPasteIcon()`
`static Icon` | `getPreferencesIcon()`
`static Icon` | `getPrimitiveClsIcon()`
`static Icon` | `getPropertiesIcon()`
`static Icon` | `getReadOnlyAnnotationPropertyIcon(ImageIcon icon)`
`static Icon` | `getReadOnlyClsIcon(ImageIcon icon)`
`static Icon` | `getReadOnlyClsIcon(String iconName)`
`static Icon` | `getReadOnlyIcon(ImageIcon icon, String frameIconName)`
`static Icon` | `getReadOnlyIndividualIcon(ImageIcon icon)`
`static Icon` | `getReadOnlyPropertyIcon(ImageIcon icon)`
`static Icon` | `getRedoIcon()`
`static Icon` | `getRemoveIcon()`
`static Icon` | `getRemoveIcon(String baseIconName)`
`static ImageIcon` | `getRevertProjectIcon()`
`static Icon` | `getSaveInferredIcon()`
`static Icon` | `getSaveProjectIcon()`
`static Icon` | `getSuperclassesIcon()`
`static Icon` | `getTestIcon()`
`static Icon` | `getTestSettingsIcon()`
`static Icon` | `getTODOIcon()`
`static Icon` | `getUndoIcon()`
`static ImageIcon` | `getUpIcon()`
`static Icon` | `getViewIcon()`
`static Icon` | `getViewIcon(String iconName)`
`static Icon` | `getViewIcon(String iconName, Class clazz)`
`static boolean` | `isDefaultStyle()`
`static boolean` | `isMulticoloredStyle()`
`static void` | `setStyle(String newStyle)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STYLE_DEFAULT

    public static final String STYLE_DEFAULT

See Also:
  Constant Field Values

### STYLE_MULTICOLORED

    public static final String STYLE_MULTICOLORED

See Also:
  Constant Field Values

### STYLE_VARIABLE

    public static final String STYLE_VARIABLE

### style

    public static String style

### ACCEPT

    public static final String ACCEPT

See Also:
  Constant Field Values

### ADD_OVERLAY

    public static final String ADD_OVERLAY

See Also:
  Constant Field Values

### ADD_PROPERTY_TO_CLASS_FORM

    public static final String ADD_PROPERTY_TO_CLASS_FORM

See Also:
  Constant Field Values

### ANNOTATION_PROPERTY

    public static final String ANNOTATION_PROPERTY

See Also:
  Constant Field Values

### ANNOTATION

    public static final String ANNOTATION

See Also:
  Constant Field Values

### ANNOTATIONS

    public static final String ANNOTATIONS

See Also:
  Constant Field Values

### ANNOTATIONS_TABLE

    public static final String ANNOTATIONS_TABLE

See Also:
  Constant Field Values

### ANONYMOUS_OWL_CLASS

    public static final String ANONYMOUS_OWL_CLASS

See Also:
  Constant Field Values

### ASSERT_FALSE

    public static final String ASSERT_FALSE

See Also:
  Constant Field Values

### ASSERT_TRUE

    public static final String ASSERT_TRUE

See Also:
  Constant Field Values

### CHECK_CONSISTENCY

    public static final String CHECK_CONSISTENCY

See Also:
  Constant Field Values

### CLASS_FRAME

    public static final String CLASS_FRAME

See Also:
  Constant Field Values

### CLASS_MATRIX

    public static final String CLASS_MATRIX

See Also:
  Constant Field Values

### CLASSIFY

    public static final String CLASSIFY

See Also:
  Constant Field Values

### CLASSIFY_INDIVIDUAL

    public static final String CLASSIFY_INDIVIDUAL

See Also:
  Constant Field Values

### CLOSURE_CLOSED

    public static final String CLOSURE_CLOSED

See Also:
  Constant Field Values

### CLOSURE_OPEN

    public static final String CLOSURE_OPEN

See Also:
  Constant Field Values

### CREATE_OVERLAY

    public static final String CREATE_OVERLAY

See Also:
  Constant Field Values

### CREATE_IMPORTED_TRIPLESTORE

    public static final String CREATE_IMPORTED_TRIPLESTORE

See Also:
  Constant Field Values

### DATATYPE_TRIPLE

    public static final String DATATYPE_TRIPLE

See Also:
  Constant Field Values

### DEFINED_OWL_CLASS

    public static final String DEFINED_OWL_CLASS

See Also:
  Constant Field Values

### DELETE

    public static final String DELETE

See Also:
  Constant Field Values

### DELETE_OVERLAY

    public static final String DELETE_OVERLAY

See Also:
  Constant Field Values

### ERROR

    public static final String ERROR

See Also:
  Constant Field Values

### FILE

    public static final String FILE

See Also:
  Constant Field Values

### FIND_ASSERTS

    public static final String FIND_ASSERTS

See Also:
  Constant Field Values

### GET_INFERRED_SUBCLASSES

    public static final String GET_INFERRED_SUBCLASSES

See Also:
  Constant Field Values

### GET_INFERRED_SUPERCLASSES

    public static final String GET_INFERRED_SUPERCLASSES

See Also:
  Constant Field Values

### HELP_LOGO

    public static final String HELP_LOGO

See Also:
  Constant Field Values

### IMPORT

    public static final String IMPORT

See Also:
  Constant Field Values

### LAYOUT_HORIZONTALLY

    public static final String LAYOUT_HORIZONTALLY

See Also:
  Constant Field Values

### LAYOUT_VERTICALLY

    public static final String LAYOUT_VERTICALLY

See Also:
  Constant Field Values

### OWL_ALL_VALUES_FROM

    public static final String OWL_ALL_VALUES_FROM

See Also:
  Constant Field Values

### OWL_ANNOTATION_PROPERTY_FRAME

    public static final String OWL_ANNOTATION_PROPERTY_FRAME

See Also:
  Constant Field Values

### OWL_CARDINALITY

    public static final String OWL_CARDINALITY

See Also:
  Constant Field Values

### OWL_COMPLEMENT_CLASS

    public static final String OWL_COMPLEMENT_CLASS

See Also:
  Constant Field Values

### OWL_DATATYPE_ANNOTATION_PROPERTY

    public static final String OWL_DATATYPE_ANNOTATION_PROPERTY

See Also:
  Constant Field Values

### OWL_DATATYPE_PROPERTY

    public static final String OWL_DATATYPE_PROPERTY

See Also:
  Constant Field Values

### OWL_DATATYPE_PROPERTY_INHERITED

    public static final String OWL_DATATYPE_PROPERTY_INHERITED

See Also:
  Constant Field Values

### OWL_DISJOINT_CLASSES

    public static final String OWL_DISJOINT_CLASSES

See Also:
  Constant Field Values

### OWL_ENUMERATED_CLASS

    public static final String OWL_ENUMERATED_CLASS

See Also:
  Constant Field Values

### OWL_EQUIVALENT_CLASS

    public static final String OWL_EQUIVALENT_CLASS

See Also:
  Constant Field Values

### OWL_HAS_VALUE

    public static final String OWL_HAS_VALUE

See Also:
  Constant Field Values

### OWL_INTERSECTION_CLASS

    public static final String OWL_INTERSECTION_CLASS

See Also:
  Constant Field Values

### OWL_MAX_CARDINALITY

    public static final String OWL_MAX_CARDINALITY

See Also:
  Constant Field Values

### OWL_MIN_CARDINALITY

    public static final String OWL_MIN_CARDINALITY

See Also:
  Constant Field Values

### OWL_OBJECT_ANNOTATION_PROPERTY

    public static final String OWL_OBJECT_ANNOTATION_PROPERTY

See Also:
  Constant Field Values

### OWL_OBJECT_PROPERTY

    public static final String OWL_OBJECT_PROPERTY

See Also:
  Constant Field Values

### OWL_OBJECT_PROPERTY_INHERITED

    public static final String OWL_OBJECT_PROPERTY_INHERITED

See Also:
  Constant Field Values

### OWL_RESTRICTION

    public static final String OWL_RESTRICTION

See Also:
  Constant Field Values

### OWL_SOME_VALUES_FROM

    public static final String OWL_SOME_VALUES_FROM

See Also:
  Constant Field Values

### OWL_UNION_CLASS

    public static final String OWL_UNION_CLASS

See Also:
  Constant Field Values

### PREFIX

    public static final String PREFIX

See Also:
  Constant Field Values

### PRIMITIVE_OWL_CLASS

    public static final String PRIMITIVE_OWL_CLASS

See Also:
  Constant Field Values

### PROPERTY_FRAME

    public static final String PROPERTY_FRAME

See Also:
  Constant Field Values

### PROPERTY_MATRIX

    public static final String PROPERTY_MATRIX

See Also:
  Constant Field Values

### RDF_DATATYPE

    public static final String RDF_DATATYPE

See Also:
  Constant Field Values

### RDF_INDIVIDUAL

    public static final String RDF_INDIVIDUAL

See Also:
  Constant Field Values

### RDF_ANON_INDIVIDUAL

    public static final String RDF_ANON_INDIVIDUAL

See Also:
  Constant Field Values

### RDF_INDIVIDUAL_FRAME

    public static final String RDF_INDIVIDUAL_FRAME

See Also:
  Constant Field Values

### RDF_INDIVIDUALS

    public static final String RDF_INDIVIDUALS

See Also:
  Constant Field Values

### RDF_PROPERTY

    public static final String RDF_PROPERTY

See Also:
  Constant Field Values

### RDF_PROPERTY_INHERITED

    public static final String RDF_PROPERTY_INHERITED

See Also:
  Constant Field Values

### RDFS_METACLASS

    public static final String RDFS_METACLASS

See Also:
  Constant Field Values

### RDFS_NAMED_CLASS

    public static final String RDFS_NAMED_CLASS

See Also:
  Constant Field Values

### RDFS_RANGE

    public static final String RDFS_RANGE

See Also:
  Constant Field Values

### RDFS_SUBCLASS_OF

    public static final String RDFS_SUBCLASS_OF

See Also:
  Constant Field Values

### REFRESH

    public static final String REFRESH

See Also:
  Constant Field Values

### REMOVE_OVERLAY

    public static final String REMOVE_OVERLAY

See Also:
  Constant Field Values

### SAVE_INFERRED

    public static final String SAVE_INFERRED

See Also:
  Constant Field Values

### SELECT_ACTIVE_TRIPLESTORE

    public static final String SELECT_ACTIVE_TRIPLESTORE

See Also:
  Constant Field Values

### SELECT_FILE

    public static final String SELECT_FILE

See Also:
  Constant Field Values

### SHOW_EXPLORER

    public static final String SHOW_EXPLORER

See Also:
  Constant Field Values

### SIBLING_CLASS

    public static final String SIBLING_CLASS

See Also:
  Constant Field Values

### SOURCE_CODE

    public static final String SOURCE_CODE

See Also:
  Constant Field Values

### SPARQL

    public static final String SPARQL

See Also:
  Constant Field Values

### SPARQL_RESULTS_PANEL

    public static final String SPARQL_RESULTS_PANEL

See Also:
  Constant Field Values

### SUB_CLASS

    public static final String SUB_CLASS

See Also:
  Constant Field Values

### SUPERCLASS_EXPLORER

    public static final String SUPERCLASS_EXPLORER

See Also:
  Constant Field Values

### TEST

    public static final String TEST

See Also:
  Constant Field Values

### TEST_SETTINGS

    public static final String TEST_SETTINGS

See Also:
  Constant Field Values

### TODO

    public static final String TODO

See Also:
  Constant Field Values

### TOP

    public static final String TOP

See Also:
  Constant Field Values

### TRIPLE

    public static final String TRIPLE

See Also:
  Constant Field Values

### TRIPLES

    public static final String TRIPLES

See Also:
  Constant Field Values

### VIEW

    public static final String VIEW

See Also:
  Constant Field Values

### VIEW_OVERLAY

    public static final String VIEW_OVERLAY

See Also:
  Constant Field Values

### XSD_DATATYPE

    public static final String XSD_DATATYPE

See Also:
  Constant Field Values

### XSD_MAX_EXCLUSIVE

    public static final String XSD_MAX_EXCLUSIVE

See Also:
  Constant Field Values

### XSD_MAX_INCLUSIVE

    public static final String XSD_MAX_INCLUSIVE

See Also:
  Constant Field Values

### XSD_MIN_EXCLUSIVE

    public static final String XSD_MIN_EXCLUSIVE

See Also:
  Constant Field Values

### XSD_MIN_INCLUSIVE

    public static final String XSD_MIN_INCLUSIVE

See Also:
  Constant Field Values

Constructor Detail

### OWLIcons

    public OWLIcons()

Method Detail

### getAddIcon

    public static Icon getAddIcon()

### getAddIcon

    public static Icon getAddIcon(String baseIconName)

### getAddIcon

    public static Icon getAddIcon(String baseIconName,
                                  Class baseClass)

### getAllRestrictionIcon

    public static Icon getAllRestrictionIcon()

### getArchiveProjectIcon

    public static ImageIcon getArchiveProjectIcon()

### getAssertChangeIcon

    public static Icon getAssertChangeIcon()

### getBackspaceIcon

    public static Icon getBackspaceIcon()

### getCheckConsistencyIcon

    public static Icon getCheckConsistencyIcon()

### getClassifyIcon

    public static Icon getClassifyIcon()

### getClassifyIndividualIcon

    public static Icon getClassifyIndividualIcon()

### getCloseIcon

    public static Icon getCloseIcon()

### getClassesIcon

    public static Icon getClassesIcon()

### getComputeSingleInferredTypesIcon

    public static Icon getComputeSingleInferredTypesIcon()

### getComputeIndividualsBelongingToClassIcon

    public static Icon getComputeIndividualsBelongingToClassIcon()

### getCopyIcon

    public static Icon getCopyIcon()

### getCreateIcon

    public static Icon getCreateIcon(String baseIconName)

### getCreateIcon

    public static Icon getCreateIcon(String baseIconName,
                                     int topY)

### getCreateIcon

    public static Icon getCreateIcon(String baseIconName,
                                     Class clazz)

### getCreateIcon

    public static Icon getCreateIcon(String baseIconName,
                                     int topY,
                                     Class clazz)

### getCreateIndividualIcon

    public static Icon getCreateIndividualIcon(String baseIconName)

### getCreatePropertyIcon

    public static Icon getCreatePropertyIcon(String baseIconName)

### getCutIcon

    public static Icon getCutIcon()

### getDefinedClsIcon

    public static Icon getDefinedClsIcon()

  Deprecated. please access constant directly

### getDeleteIcon

    public static Icon getDeleteIcon()

### getDeleteClsIcon

    public static Icon getDeleteClsIcon()

### getDeleteIcon

    public static Icon getDeleteIcon(String iconName)

### getDeleteIcon

    public static Icon getDeleteIcon(String iconName,
                                     Class clazz)

### getDeprecatedIcon

    public static Icon getDeprecatedIcon()

### getDisplayChangedClassesIcon

    public static Icon getDisplayChangedClassesIcon()

### getDownIcon

    public static ImageIcon getDownIcon()

### getEditHTMLIcon

    public static Icon getEditHTMLIcon()

### getEquivalentClassIcon

    public static Icon getEquivalentClassIcon()

### getExternalResourceIcon

    public static ImageIcon getExternalResourceIcon()

### getFindUsageIcon

    public static Icon getFindUsageIcon()

### getImageIcon

    public static ImageIcon getImageIcon(String name)

### getImageIcon

    public static ImageIcon getImageIcon(String name,
                                         Class clazz)

### getInheritedClsIcon

    public static Icon getInheritedClsIcon(ImageIcon icon)

### getInheritedIcon

    public static Icon getInheritedIcon(ImageIcon icon,
                                        String frameIconName)

### getInheritedPropertyIcon

    public static Icon getInheritedPropertyIcon(ImageIcon icon)

### getImageURL

    public static URL getImageURL(Class clazz,
                                  String baseIconName)

### getMetaclassIcon

    public static ImageIcon getMetaclassIcon()

### getNavigateBackIcon

    public static Icon getNavigateBackIcon()

### getNavigateForwardIcon

    public static Icon getNavigateForwardIcon()

### getNerdErrorIcon

    public static Icon getNerdErrorIcon()

### getNerdSmilingIcon

    public static Icon getNerdSmilingIcon()

### getOpenProjectIcon

    public static Icon getOpenProjectIcon()

### getOWLIcon

    public static Icon getOWLIcon()

### getOWLTestErrorIcon

    public static Icon getOWLTestErrorIcon()

### getOWLFullIcon

    public static Icon getOWLFullIcon()

### getOWLTestWarningIcon

    public static Icon getOWLTestWarningIcon()

### getPasteIcon

    public static Icon getPasteIcon()

### getPreferencesIcon

    public static Icon getPreferencesIcon()

### getPrimitiveClsIcon

    public static Icon getPrimitiveClsIcon()

### getPropertiesIcon

    public static Icon getPropertiesIcon()

### getReadOnlyAnnotationPropertyIcon

    public static Icon getReadOnlyAnnotationPropertyIcon(ImageIcon icon)

### getReadOnlyIcon

    public static Icon getReadOnlyIcon(ImageIcon icon,
                                       String frameIconName)

### getDefaultReadOnlyIcon

    public static Icon getDefaultReadOnlyIcon(ImageIcon icon,
                                              String frameIconName,
                                              int ar,
                                              int ag,
                                              int ab)

### getReadOnlyClsIcon

    public static Icon getReadOnlyClsIcon(String iconName)

### getReadOnlyClsIcon

    public static Icon getReadOnlyClsIcon(ImageIcon icon)

### getReadOnlyIndividualIcon

    public static Icon getReadOnlyIndividualIcon(ImageIcon icon)

### getReadOnlyPropertyIcon

    public static Icon getReadOnlyPropertyIcon(ImageIcon icon)

### getRedoIcon

    public static Icon getRedoIcon()

### getRemoveIcon

    public static Icon getRemoveIcon()

### getRemoveIcon

    public static Icon getRemoveIcon(String baseIconName)

### getRevertProjectIcon

    public static ImageIcon getRevertProjectIcon()

### getSaveInferredIcon

    public static Icon getSaveInferredIcon()

### getSaveProjectIcon

    public static Icon getSaveProjectIcon()

### getTestIcon

    public static Icon getTestIcon()

### getTestSettingsIcon

    public static Icon getTestSettingsIcon()

### getTODOIcon

    public static Icon getTODOIcon()

### getUpIcon

    public static ImageIcon getUpIcon()

### getUndoIcon

    public static Icon getUndoIcon()

### getViewIcon

    public static Icon getViewIcon()

### getViewIcon

    public static Icon getViewIcon(String iconName)

### getViewIcon

    public static Icon getViewIcon(String iconName,
                                   Class clazz)

### getSuperclassesIcon

    public static Icon getSuperclassesIcon()

### isMulticoloredStyle

    public static boolean isMulticoloredStyle()

### isDefaultStyle

    public static boolean isDefaultStyle()

### setStyle

    public static void setStyle(String newStyle)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.